Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.MeshParameters

    java.lang.Object
      igeo.io.IRhino3dm.MeshParameters

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.MeshParameters

extends java.lang.Object

Field Summary
`boolean` | `computeCurvature`
`boolean` | `customSetting`
`int` | `faceType`
`double` | `gridAmplification`
`double` | `gridAngle`
`double` | `gridAspectRatio`
`int` | `gridMaxCount`
`int` | `gridMinCount`
`boolean` | `jaggedSeams`
`double` | `maxEdgeLength`
`byte` | `mesher`
`double` | `minEdgeLength`
`double` | `minTolerance`
`boolean` | `refine`
`double` | `refineAngle`
`double` | `relativeTolerance`
`byte` | `reserved1`
`byte` | `reserved2`
`boolean` | `simplePlanes`
`int` | `textureRange`
`double` | `tolerance`

Constructor Summary
`IRhino3dm.MeshParameters()`

Method Summary
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`static boolean` | `readIntAsBoolean(java.io.InputStream is)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customSetting

    public boolean customSetting

### computeCurvature

    public boolean computeCurvature

### simplePlanes

    public boolean simplePlanes

### refine

    public boolean refine

### jaggedSeams

    public boolean jaggedSeams

### reserved1

    public byte reserved1

### reserved2

    public byte reserved2

### mesher

    public byte mesher

### textureRange

    public int textureRange

### tolerance

    public double tolerance

### relativeTolerance

    public double relativeTolerance

### minTolerance

    public double minTolerance

### minEdgeLength

    public double minEdgeLength

### maxEdgeLength

    public double maxEdgeLength

### gridAspectRatio

    public double gridAspectRatio

### gridMinCount

    public int gridMinCount

### gridMaxCount

    public int gridMaxCount

### gridAngle

    public double gridAngle

### gridAmplification

    public double gridAmplification

### refineAngle

    public double refineAngle

### faceType

    public int faceType

Constructor Detail

### IRhino3dm.MeshParameters

    public IRhino3dm.MeshParameters()

Method Detail

### readIntAsBoolean

    public static boolean readIntAsBoolean(java.io.InputStream is)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD